summaryrefslogtreecommitdiffstats
path: root/network
diff options
context:
space:
mode:
author Thomas Szteliga <ts@websafe.pl>2015-08-11 13:09:03 +0700
committer Willy Sudiarto Raharjo <willysr@slackbuilds.org>2015-08-11 23:25:29 +0700
commitc2babcea5255953cbcf9769dd98a805e3b3a3b10 (patch)
tree3039c4683943023c6b1176ed9c128cddabdb88a2 /network
parent5c7a3ec24e4cb84d2175b110244fb7c2f997b1cc (diff)
downloadslackbuilds-c2babcea5255953cbcf9769dd98a805e3b3a3b10.tar.gz
slackbuilds-c2babcea5255953cbcf9769dd98a805e3b3a3b10.tar.xz
network/imapproxy: Added (SquirrelMail's IMAP Proxy server).
Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
Diffstat (limited to 'network')
-rw-r--r--network/imapproxy/README11
-rw-r--r--network/imapproxy/doinst.sh26
-rw-r--r--network/imapproxy/imapproxy.SlackBuild107
-rw-r--r--network/imapproxy/imapproxy.info10
-rw-r--r--network/imapproxy/slack-desc19
5 files changed, 173 insertions, 0 deletions
diff --git a/network/imapproxy/README b/network/imapproxy/README
new file mode 100644
index 0000000000..f2c5997a7a
--- /dev/null
+++ b/network/imapproxy/README
@@ -0,0 +1,11 @@
+imapproxy (SquirrelMail's IMAP Proxy server)
+
+SquirrelMail's IMAP Proxy is a caching IMAP proxy server intended
+for use with webmail clients that cannot maintain persistent
+connections to an IMAP server.
+IMAP Proxy simply sits between your webmail server and your IMAP
+server. It accepts connections from your webmail server for each
+client login, then proxies that connection to your real IMAP server.
+When your webmail client disconnects, IMAP Proxy will leave the
+connection open to the IMAP server such that when your webmail client
+reconnects, the existing connection may be re-used.
diff --git a/network/imapproxy/doinst.sh b/network/imapproxy/doinst.sh
new file mode 100644
index 0000000000..82b58a530c
--- /dev/null
+++ b/network/imapproxy/doinst.sh
@@ -0,0 +1,26 @@
+config() {
+ NEW="$1"
+ OLD="$(dirname $NEW)/$(basename $NEW .new)"
+ # If there's no config file by that name, mv it over:
+ if [ ! -r $OLD ]; then
+ mv $NEW $OLD
+ elif [ "$(cat $OLD | md5sum)" = "$(cat $NEW | md5sum)" ]; then
+ # toss the redundant copy
+ rm $NEW
+ fi
+ # Otherwise, we leave the .new copy for the admin to consider...
+}
+
+preserve_perms() {
+ NEW="$1"
+ OLD="$(dirname $NEW)/$(basename $NEW .new)"
+ if [ -e $OLD ]; then
+ cp -a $OLD ${NEW}.incoming
+ cat $NEW > ${NEW}.incoming
+ mv ${NEW}.incoming $NEW
+ fi
+ config $NEW
+}
+
+preserve_perms etc/imapproxy.conf.new
+preserve_perms etc/rc.d/rc.imapproxy.new
diff --git a/network/imapproxy/imapproxy.SlackBuild b/network/imapproxy/imapproxy.SlackBuild
new file mode 100644
index 0000000000..c95e426c51
--- /dev/null
+++ b/network/imapproxy/imapproxy.SlackBuild
@@ -0,0 +1,107 @@
+#!/bin/sh
+
+# Slackware build script for imapproxy
+
+# Copyright (c) 2014-2015 Thomas Szteliga <ts@websafe.pl>
+#
+# Permission is hereby granted, free of charge, to any person obtaining a copy
+# of this software and associated documentation files (the "Software"), to deal
+# in the Software without restriction, including without limitation the rights
+# to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
+# copies of the Software, and to permit persons to whom the Software is
+# furnished to do so, subject to the following conditions:
+#
+# The above copyright notice and this permission notice shall be included in
+# all copies or substantial portions of the Software.
+#
+# THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
+# IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
+# FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
+# AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
+# LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
+# OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN
+# THE SOFTWARE.
+
+PRGNAM=imapproxy
+VERSION=${VERSION:-1.2.7}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i486 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/squirrelmail-imap_proxy-$VERSION.tar.gz
+cd squirrelmail-imap_proxy-$VERSION
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --libdir=/usr/lib${LIBDIRSUFFIX} \
+ --sysconfdir=/etc \
+ --localstatedir=/var \
+ --mandir=/usr/man \
+ --build=$ARCH-slackware-linux
+
+install -m 0755 -d $PKG/etc
+install -m 0755 -d $PKG/etc/init.d
+install -m 0755 -d $PKG/usr/sbin
+make prefix=$PKG/usr rpm_prefix=$PKG rpm-install
+
+sed -i \
+ -e 's#/usr/local/sbin#/usr/sbin#g' \
+ -e 's#\t\$PROXY_BIN#\t\$PROXY_BIN \&#g' \
+ $PKG/etc/init.d/imapproxy
+mv $PKG/etc/init.d $PKG/etc/rc.d
+mv $PKG/etc/rc.d/imapproxy $PKG/etc/rc.d/rc.imapproxy.new
+mv $PKG/etc/imapproxy.conf $PKG/etc/imapproxy.conf.new
+
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a COPYING ChangeLog README README.known_issues README.ssl $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/network/imapproxy/imapproxy.info b/network/imapproxy/imapproxy.info
new file mode 100644
index 0000000000..589084f064
--- /dev/null
+++ b/network/imapproxy/imapproxy.info
@@ -0,0 +1,10 @@
+PRGNAM="imapproxy"
+VERSION="1.2.7"
+HOMEPAGE="http://www.imapproxy.org/"
+DOWNLOAD="http://downloads.sourceforge.net/project/squirrelmail/imap_proxy/1.2.7/squirrelmail-imap_proxy-1.2.7.tar.gz"
+MD5SUM="02fb038a13efaf991917f87862c714fb"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES=""
+MAINTAINER="Thomas Szteliga"
+EMAIL="ts@websafe.pl"
diff --git a/network/imapproxy/slack-desc b/network/imapproxy/slack-desc
new file mode 100644
index 0000000000..1c70395971
--- /dev/null
+++ b/network/imapproxy/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+imapproxy: imapproxy (SquirrelMail's IMAP Proxy server)
+imapproxy:
+imapproxy: SquirrelMail's IMAP Proxy is a caching IMAP proxy server intended
+imapproxy: for use with webmail clients that cannot maintain persistent
+imapproxy: connections to an IMAP server.
+imapproxy: IMAP Proxy simply sits between your webmail server and your IMAP
+imapproxy: server. It accepts connections from your webmail server for each
+imapproxy: client login, then proxies that connection to your real IMAP server.
+imapproxy: When your webmail client disconnects, IMAP Proxy will leave the
+imapproxy: connection open to the IMAP server such that when your webmail client
+imapproxy: reconnects, the existing connection may be re-used.